//
//  Curve.h
//  GHMMCurveRecognition
//
//  Created by Marcelo Cicconet on 10/20/11.
//  Copyright 2011 Georgia Tech. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Curve : NSObject {
    int numOfPoints;
    float * xPoints;
    float * yPoints;
}

@property (readonly, assign) float * xPoints;
@property (readonly, assign) float * yPoints;
@property (readonly) int numOfPoints;

- (id)initWithNumOfPoints:(int)theNumOfPoints xPoints:(float *)theXPoints yPoints:(float *)theYPoints reverseOrder:(BOOL)reverseOrder;

@end
