//
//  RingBufferView.h
//  GHMMCurveRecognition
//
//  Created by Marcelo Cicconet on 11/2/11.
//  Copyright (c) 2011 Georgia Tech. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface RingBufferView : NSView {
    int ID;
    int length;
    float * values;
    float * euclValues;
    float * alphaValues;
    float * directionValues;
    int curveLength;
    int distanceToPreviousValley;
    int distanceToPreviousValley2;
    float threshold;
    int * matches;
}

@property(readwrite) int ID;
@property(readwrite) int curveLength;

- (void)setUpWithLength:(int)theLength;
- (void)newValue:(float)theValue
       euclValue:(float)theEuclValue
      alphaValue:(float)theAlphaValue
  directionValue:(float)theDirectionValue
         matches:(int *)theMatches;

@end
